Docker-ce Segmentation Faults on PI

Note: the latest version of Docker for PI does not seem to have this Issue.

I ran into an issue where docker-ce segmentation faults on Raspbian. I had to step back to 18.06.1. Use the following command to find previous versions:

apt-cache madison docker-ce

Remove the previous versions:

sudo apt-get remove docker docker-engine docker-ce docker.io
sudo apt-get update
sudo apt-get install
apt-transport-https
ca-certificates
curl
software-properties-common

I found that 18.06.1 worked on all the RPIs that I use:

sudo apt-get install docker-ce=18.06.1~ce~3-0~raspbian

The after I image a disk I use the following bash scrip to patch it.

#!/usr/bin/env bash
#sudo apt-get --with-new-pkgs upgrade
sudo apt-get update -y
sudo apt-get upgrade -y
sudo apt-get install -y docker-ce=18.06.1~ce~3-0~raspbian
pip install --upgrade pip
pip list --outdated --format=freeze | grep -v '^\-e' | cut -d = -f 1  | xargs -n1 pip install -U --user
gcloud components update --quiet
docker-compose --version
docker --version

Subscribe to Bella Erba

Don’t miss out on the latest issues. Sign up now to get access to the library of members-only issues.
jamie@example.com
Subscribe